var is_loading = false;
var app = {
    // Application Constructor
    initialize: function() {
        document.addEventListener('deviceready', this.onDeviceReady.bind(this), false);
    },

    // deviceready Event Handler
    //
    // Bind any cordova events here. Common events are:
    // 'pause', 'resume', etc.
    onDeviceReady: function() {
        this.itemInit();
        this.eventInit();
        this.otherInit();
    },
    itemInit:function(){

    },
    eventInit:function(){

    },
    otherInit:function(){
        
        if(!isIphone())
        {
            //공용 DB에 저장된 사용타입 조회
            cordova.plugins.finPlugin.getUseType("", function(res){
                                                 
                if(0 < res.length){
                    if('연동형' == res){
                        //연동형 인경우 스키마 값 체크
                        cordova.plugins.finPlugin.checkScheme("", function(isScheme){
                            cordova.plugins.finPlugin.schemeAction("", function(success){
                                var id = success;
                                if(CARD_PAY.DATA.STACK_ID == id){
                                    cordova.plugins.finPlugin.moveStack(CARD_PAY.DATA, null, null);
                                }else if(CARD_CAN.DATA.STACK_ID == id){
                                    cordova.plugins.finPlugin.moveStack(CARD_CAN.DATA, null, null);
                                }else if(UNION_PAY.DATA.STACK_ID == id){
                                      cordova.plugins.finPlugin.moveStack(UNION_PAY.DATA, null, null);
                                }else if(UNION_CAN.DATA.STACK_ID == id){
                                    cordova.plugins.finPlugin.moveStack(UNION_CAN.DATA, null, null);
                                }else if(CASH_PAY.DATA.STACK_ID == id){
                                    cordova.plugins.finPlugin.moveStack(CASH_PAY.DATA, null, null);
                                }else if(CASH_CAN.DATA.STACK_ID == id){
                                    cordova.plugins.finPlugin.moveStack(CASH_CAN.DATA, null, null);
                                }else if(ALI_PAY.DATA.STACK_ID == id){
                                    cordova.plugins.finPlugin.moveStack(ALI_PAY.DATA, null, null);
                                }else if(ALI_CAN.DATA.STACK_ID == id){
                                    cordova.plugins.finPlugin.moveStack(ALI_CAN.DATA, null, null);
                                }else if(KAKAO_SEARCH.DATA.STACK_ID == id){
                                    cordova.plugins.finPlugin.moveStack(KAKAO_SEARCH.DATA, null, null);
                                }else if(KAKAO_SEARCH_CAN.DATA.STACK_ID == id){
                                    cordova.plugins.finPlugin.moveStack(KAKAO_SEARCH_CAN.DATA, null, null);
                                }else if(WECHAT_PAY.DATA.STACK_ID == id){
                                    cordova.plugins.finPlugin.moveStack(WECHAT_PAY.DATA, null, null);
                                }else if(WECHAT_CAN_PAY.DATA.STACK_ID == id){
                                    cordova.plugins.finPlugin.moveStack(WECHAT_CAN_PAY.DATA, null, null);
                                }else if(ZERO_PAY.DATA.STACK_ID == id){
                                    cordova.plugins.finPlugin.moveStack(ZERO_PAY.DATA, null, null);
                                }else if(ZERO_CAN_PAY.DATA.STACK_ID == id){
                                    cordova.plugins.finPlugin.moveStack(ZERO_CAN_PAY.DATA, null, null);
                                }else if(HIPASS_PAY.DATA.STACK_ID == id){
                                    cordova.plugins.finPlugin.moveStack(HIPASS_PAY.DATA, null, null);
                                }else if(HIPASS_CAN.DATA.STACK_ID == id){
                                    cordova.plugins.finPlugin.moveStack(HIPASS_CAN.DATA, null, null);
                                }
                            },function(error){
                                //스키마 값이 없으면 설정 화면 이동
                                cordova.plugins.finPlugin.moveStack(SET01.DATA,null, null);
                            });
                    },function(error){
                        //스키마 값이 없으면 설정 화면 이동
                        cordova.plugins.finPlugin.moveStack(SET01.DATA,null, null);
                    });
                } else {
                    //연동형이 아닐 경우 바로 메인화면으로 이동
                    cordova.plugins.finPlugin.moveStack(MAIN.DATA,null, null);
                }
            }else {
                //통합형 연동형 설정이 안되어 있는 경우 선택 화면으로 이동
                cordova.plugins.finPlugin.moveStack(INDEX.DATA,null, null);
            }
        }, function(error){
            //통합형 연동형 설정이 안되어 있는 경우 선택 화면으로 이동
            cordova.plugins.finPlugin.moveStack(INDEX.DATA,null, null);
        });
      }
    },
    testPlugin:function() {
        var successCallback = function(res){
            open_PopupError(res);
        };
        var failureCallback = function(error){
            open_PopupError(error);
        };
        cordova.plugins.finPlugin.selectType("01_01.js Open Plugin", successCallback, failureCallback);
    }
};

app.initialize();